-- This is the script run after editing a device - the label, classes
local functions, device, olddevice, params, oldparams = ...

--APP.logevent("got to update_device script")

-- We'll handle the changing of the device by handling the resulting changing of the params
local env = {}
setmetatable (env, {__index = _G})
-- loadfile loads into the global environment
-- so we set env 0, not env 1
setfenv (0, env)
local f = loadfile("/etc/provisioning/update_device_params.lua")
if (f) then f(functions, params, oldparams) end
setfenv (0, _G)
